log4cplus::Initializer Class Reference

This class helps with initialization and shutdown of log4cplus. More...

`#include <initializer.h>`

## Public Member Functions

| Initializer ()
| ~Initializer ()
| Initializer (Initializer const &)=delete
| Initializer (Initializer &&)=delete
Initializer & | operator= (Initializer const &)=delete
Initializer & | operator= (Initializer &&)=delete

## Detailed Description

This class helps with initialization and shutdown of log4cplus.

Its constructor calls log4cplus::initialize() and its destructor calls log4cplus::Logger::shutdown(). Use this class as the first thing in your main(). It will ensure shutdown of log4cplus at the end of main(). This is particularly important on Windows, where shutdown of standard threads outside main() is impossible.

Definition at line 47 of file initializer.h.

## Constructor & Destructor Documentation

## Initializer() [1/3]

log4cplus::Initializer::Initializer | ( |  | ) |

Referenced by Initializer(), Initializer(), operator=(), and operator=().

## ~Initializer()

log4cplus::Initializer::~Initializer | ( |  | ) |

## Initializer() [2/3]

log4cplus::Initializer::Initializer | ( | Initializer const & |  | ) |

delete

References Initializer().

## Initializer() [3/3]

log4cplus::Initializer::Initializer | ( | Initializer && |  | ) |

delete

References Initializer().

## Member Function Documentation

## operator=() [1/2]

Initializer & log4cplus::Initializer::operator= | ( | Initializer && |  | ) |

delete

References Initializer().

## operator=() [2/2]

Initializer & log4cplus::Initializer::operator= | ( | Initializer const & |  | ) |

delete

References Initializer().

The documentation for this class was generated from the following file:

- initializer.h